LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 10-31-2004, 06:22 PM   #1
dbarracuda
LQ Newbie
 
Registered: Oct 2004
Posts: 6

Rep: Reputation: 0
gnucash depedancies


Hey guys I am now using a debian linux (xandros). When i told it to install gnucash it gave me this list of dependancies it needed.

Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
Since you only requested a single operation it is extremely likely that
the package is simply not installable and a bug report against
that package should be filed.
gnucash: Depends: bonobo (>= 1.0.12) but it is not installable
Depends: libbonobo2 (>= 1.0.12) but it is not installable
Depends: libgal15 (>= 0.15) but it is not installable
Depends: libgdk-pixbuf-gnome2 (>= 0.11.0-2) but it is not installable
Depends: libghttp1 (>= 1.0.9-7) but it is not installable
Depends: libglade-gnome0 but it is not installable
Depends: libglade0 but it is not installable
Depends: libgnomeprint15 (>= 0.29-1) but it is not installable
Depends: libgtkhtml18 (>= 0.15.0-3) but it is not installable
Depends: libguile9 (>= 1:1.4-17) but it is not installable
Depends: libguppi11 (>= 0.35.5) but it is not installable
Depends: liboaf0 (>= 0.6.7) but it is not installable
Depends: libxml1 (>= 1:1.8.14-3) but it is not installable
Depends: libzvt2 (>= 1.2.13-5) but it is not installable
Depends: oaf (>= 0.6.7) but it is not installable
Depends: python1.5-base (>= 1.5.2-17.0.1) but it is not installable
Depends: libwww-perl but it is not installable
Depends: guile1.4 but it is not installable
Depends: guile1.4-slib but it is not installable
Depends: libfinance-quote-perl but it is not installable
Depends: libdate-manip-perl but it is not installable
E: Broken packages
Done.

Whats the easiest way to go about fixing these?
thanks
David
 
Old 11-01-2004, 05:33 AM   #2
TigerOC
Senior Member
 
Registered: Jan 2003
Location: Devon, UK
Distribution: Debian Etc/kernel 2.6.18-4K7
Posts: 2,380

Rep: Reputation: 49
This is the problem with using "hacked together" distros from a single source. To extrapolate; Xandros is debian based but has been structured so that it may be using apps from different flavours of Debian. In the Debian sense this is not a good approach because it does lead to problems as you are seeing. The solution really lies with Xandros if you wish to continue using it. You have to make a decision as to whether or how badly you want or need gnucash. Perhaps there is an equivalent package that is compatible with Xandros. If you really need gnucash then install a pure Debian system like Sarge. Having said that I use gnucash and there was a problem while ago when it would not work in Sarge and it took a few weeks to sort the problem. You can install an apt-bug package that will indicate whether there are serious bugs in packages that are updated and decide whether or not you want to upgrade the package at upgrade time.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
GnuCash Zero-0-Effect Linux - Software 1 10-29-2005 07:11 AM
gnucash juyce Linux - Software 1 09-18-2005 03:44 PM
GNUCash jery_wang2002 Arch 0 05-17-2005 09:47 PM
gnucash cphase Slackware 11 04-13-2005 06:46 PM
who uses gnucash? pekuekfir Linux - General 1 02-27-2002 10:36 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 09:33 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration